//
// https://www.ramecera.it/myscrewdriver.html
// e-mail: screwdriver@ramecera.it
//
/* This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html */
package it.ramecera.screwdriver.outfits;

import java.util.ArrayList;
import java.util.List;

import it.ramecera.salad.everyday.Mix;

/**
 * <p>
 * Elements that go a class of type @Controller.
 * </p>
 * <p>
 * Company: Ramecera™<br>
 * Creation date: 2020-04-09<br>
 * Last updated: 2020-04-09
 * </p>
 * <p>
 * Modifications:<br>
 * </p>
 * 
 * @author M. Maglioni */
final public class ControllerBelong {

	/** the request group gives the class its name */
	public String gruppo;
	/** the group with the initial maisucola */
	public String gruppoMaius;
	/** the group with the initial minusucola */
	public String gruppoMinus;
	/** the list of request-mappings and group-name-of-jsp */
	public List<RequestMap> rmE = new ArrayList<RequestMap>();

	/** default constructor */
	public ControllerBelong() {

	}

	/** standard constructor
	 * 
	 * @param gruppo name of the 1st segment of the mapping
	 * @param rmE collection of mapping-jsp pairs */
	public ControllerBelong(String gruppo, List<RequestMap> rmE) {
		super();
		if (gruppo.equals("")) {
			this.gruppo = "dummy";
		} else {
			this.gruppo = gruppo;
		}
		this.gruppoMaius = Mix.uppercaseFirstChar(this.gruppo);
		this.gruppoMinus = Mix.lowercaseFirstChar(this.gruppo);
		this.rmE = rmE;
	}
}
